Agents that publish an A2A /.well-known/agent-card.json — 5840 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5840 indexed agents, 4856 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
b612
Japanese-market code review agent. Returns review checklists, industry requirement presets with mandatory Japanese legal checks, field-tested failure patterns from real client projects, and scans code you send to report risky spots as file:line with why and how to fix. Deterministic checks — no LLM inference, so calls are fast and cheap. Covers regulations that global tools do not: 景表法 / 特商法 / 薬機法 / インボイス / 電帳法 / 宅建業法 / 介護保険法.
【日本語】日本の実務(法令・商習慣)と実案件の失敗から作ったレビュー方法論のエージェント。レビュー観点・業種別の必須要件・実戦パターンを返し、送られたコードは実際に検査して行番号で指摘する。
Free to try: principles and rules need no key (20 req/min per IP). Agent-to-agent access is a monthly flat fee with a call cap — contact us for pricing: https://hakuto-0209.com/#contact
【料金】principles / rules は鍵なしでお試しいただけます。エージェント経由の本利用は月額固定+呼び出し上限制。金額はご相談ください:https://hakuto-0209.com/#contact
|
A | 10.00 |
| 2 |
Infinite Audience
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
|
A | 10.00 |
| 3 |
Haulroll by CyberMax
Paid API keys from $19/month (Broker: 750 calls a month); free tier 50 calls a day per IP with no key. Buy: https://haulroll-api.cybermaxtools.com/buy/broker?s=lead · all plans: https://haulroll-api.cybermaxtools.com/docs#pricing. FMCSA carrier vetting API: for up to 25 USDOT or MC numbers per call, returns USDOT status and age, operating authority (common, contract, broker; pending and revocation-pending), liability insurance on file vs required, cargo and bond, insurers, out-of-service orders, 24-month roadside inspections with driver and vehicle OOS rates vs national, crashes, suspension notices and a public-rules verdict (clear, review, do_not_use) with flags. Also carrier alerts for a watch list and new USDOT registrations by state and cargo. REST + MCP server.
|
A | 10.00 |
| 4 |
Figurewell API by CyberMax
Paid API keys from $19/month (Quant: 10,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://figurewell-api.cybermaxtools.com/buy/quant?s=lead · all plans: https://figurewell-api.cybermaxtools.com/docs#pricing. Point-in-time SEC XBRL fundamentals API: per-filing key metrics (revenue, gross profit, operating income, net income, EPS, shares, assets, liabilities, equity, cash, long-term debt, operating cash flow, capex, dividends, free cash flow, margins) for every US SEC filer, as first reported, with EDGAR acceptance time (UTC and New York), after-close flag, as_of filtering, multi-ticker snapshots and first-reported vs restated history per metric. REST + MCP server. Information only, not investment advice.
|
A | 10.00 |
| 5 |
RecallScout
Machine-payable US recall lookups over x402. Is this product or vehicle under an ACTIVE recall, and how urgent? Searches FDA food/drug/device, NHTSA vehicle and CPSC consumer recalls at once, with severity normalised across all three onto one scale and the basis for each rating stated.
|
A | 10.00 |
| 6 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 7 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 8 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 9 |
A2A Trust Plane
Multi-agent continuity for small teams. Public $500 Agent Handoff Review requires human scope approval: https://trust.the825.co/handoff-review. See all offers at https://trust.the825.co/offers.json. Governed recovery across A2A, MCP, and REST.
|
A | 10.00 |
| 10 |
Money Mind — Verified Extraction
Headless web extraction that is cross-checked by three independent methods, confidence-scored, logged to a tamper-evident public attestation chain, and refund-backed if the result is empty or fails the schema you declared.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“Andreax” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.
-
a2a mcp ok
270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.
-
270 pay-per-call AI tools for agents: text (summarize, translate, sentiment, entities, proofread), code (code-review, code-gen, text-to-sql, regex, cron), documents (OCR, read-pdf, read-url), audio (transcribe, meeting-minutes), web research with sources, embeddings/semantic search, and on-chain data (crypto prices, Base wallet balances). No signup and no API keys: each call is paid with x402 in USDC on Base, from $0.001 per call (gasless for the payer via EIP-3009). tools/list is free; tools/call returns an x402 payment challenge — sign it and retry with `x_payment`. Every tool offers a free preview with ?sample=1.
“Co-Legal Assistant” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V. from the Netherlands.
-
Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V…
“FeedOracle” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
x402 down
EU Compliance Evidence Infrastructure — Verifiable compliance evidence layer for AI agents operating in European financial markets. 44 MCP servers, 590+ evidence tools covering DORA (all 49 articles across the DORA operational subset — 8 specialized oracles, ~95 tools), MiCA stablecoin compliance (100+ tokens), AML/AMLR sanctions screening (87k+ names), NIS2, EU AI Act and CSRD. Runtime security via AgentGuard (20) and PredictionGuard (28). Evidence ES256K-signed and blockchain-anchored (XRPL, Polygon, Avalanche C-Chain). Canonical live metrics: https://feedoracle.io/data/feedoracle-metrics.json. ToolOracle (tooloracle.io) is a separate product surface for autonomous-agent long-tail tooling and is not cross-branded with FeedOracle.
-
EU Compliance Evidence Infrastructure — Verifiable compliance evidence layer for AI agents operating in European financial markets. 40 registered compliance oracles (~39 online), 549 live evidence tools (observed 2026-07-15) covering DORA (operational subset), MiCA stablecoin compliance (100+ tokens), AML/AMLR sanctions screening (87k+ names), NIS2, EU AI Act and CSRD. Runtime security via AgentGuard (20) and PredictionGuard (28). Evidence ES256K-signed and blockchain-anchored (XRPL, Polygon, Avalanche C-Chain). Canonical live metrics: https://feedoracle.io/data/feedoracle-metrics.json. ToolOracle (tooloracle.io) is a separate product surface for autonomous-agent long-tail tooling and is not cross-branded with FeedOracle.
“fr-legal-kit” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
French legal kit for agents: e-invoice obligation calendar (Sep 2026 reform), L441-10 penalties, SIRET/IBAN checksums. Paid x402 USDC on Base.
-
Base token USD, Base gas, ENS resolve, plus FR legal helpers. $0.01 USDC x402
-
French e-invoice calendar, L441-10 late penalties, SIRET/IBAN checksums. Offline. No registry lookup.
“HALOWERK buerowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK buerowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK medienwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK x402werk” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK x402werk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK x402werk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK x402werk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
“HANRIA mandate check” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Check whether a proposed agent action is allowed before you act. Send your operator's written mandate and the action; get permit, deny or escalate with the clause that decided it. Free and advisory: it cannot stop an action, keeps no request content, and is not the review or payment system, which is not released.
-
Check whether a proposed agent action is allowed before you act. Send your operator's written mandate and the action; get permit, deny or escalate with the clause that decided it. Free and advisory: it cannot stop an action, keeps no request content, and is not the review or payment system, which i…
“IndiaInsurances” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Every insurance product sold in India (life, health, general), read clause by clause from its own documents: waiting periods, limits, co-pay, exclusions, claims and renewal rights, each with the verbatim quote, clause and page, plus comparisons, insurer track records and the law. Free, no key, no c…
-
Every Indian insurance policy, clause by clause, with verbatim quotes. Free, no API key.
“LegalPulse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
The clearance layer before you sign, send, or sue. Pre-signature contract clearance with verbatim red-flag quotes ($0.50), trademark knock-out checks verified live against USPTO TSDR ($0.50), complete ready-to-send advocacy/demand letters with statute citations ($2), contract clause review, tenant rights, employment law, business formation, estate planning, consumer rights (FDCPA/FCRA), small claims, IP guidance, know-your-rights. Jurisdiction-aware. Pay-per-query via x402 micropayments on Base.
-
The clearance layer before you sign, send, or sue. Pre-signature contract clearance with verbatim red-flag quotes ($0.50), trademark knock-out checks verified live against USPTO TSDR ($0.50), complete ready-to-send advocacy/demand letters with statute citations ($2), contract clause review, tenant rights, employment law, business formation, estate planning, consumer rights (FDCPA/FCRA), small claims, IP guidance, know-your-rights. Jurisdiction-aware. Pay-per-query via x402 micropayments on Base.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“NetIntel” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
-
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
“Ordinal” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Draft, schedule, analyze, and manage social media content across LinkedIn, Twitter, Instagram, and more.
-
a2a ok
Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.
“Prism” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Reads leases, mortgages, insurance policies and HOA documents and returns every deadline with its exact date, what happens if it is missed, and the sentence it came from.
-
Reads leases, mortgages, insurance policies, HOA documents, purchase agreements, construction contracts, loan modifications and vendor agreements and lists each deadline and critical date it finds in a contract, with the passage it was read from where one was captured. It can miss dates; how often is measured, and published, at https://prism.parad1gm.com/accuracy. The first 3 findings in a contract are free, for a person and for an AI agent; the rest are withheld until the contract is paid for or unlocked. $1 per contract to see the rest of its findings and get its reminders. $9 a month for up to 50 contracts a month. $49 a month for property managers (up to 1,000 contracts a month and 5 people on the account). $0.50 per contract for an AI agent over MCP or A2A, from prepaid credits, and the first 3 contracts are free. Prism is a Built AI product (https://builtai.co).
-
Give your AI agent a contract reader. Prism reads leases, mortgages, insurance policies and HOA documents and returns every deadline with its exact date, what happens if it is missed, and the sentence it came from. 3 free contracts, then $0.50 each.
-
Analyze biomarker panels with a real clinical recommendation engine. Guideline-cited, evidence-tiered output. Synthetic data only.
“Rafid Intelligence Network” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
-
Paid intelligence tools for AI agents across risk, finance, property, logistics and more.
-
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
“Sirenic” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Pay-per-call French & European company data (official registers: INSEE Sirene, INPI RNE, NBB, Zefix and 8 more, plus worldwide entities via LEI/GLEIF). Every skill is a paid HTTP resource: send a JSON data part {"path": "/v1/..."} or {"skill": "<id>", "params": {...}}; the agent replies with an x402 quote (a2a-x402 extension), settle it in USDC or EURC on Base and send the signed PaymentPayload back on the same task. No account, no API key. Free text is not interpreted.
-
Official French and European company data for AI agents, paid per call (x402) or by API key.
-
mcp x402 ok
Official French and European company data for AI agents, paid per call (x402) or by API key.
-
Company data from the official French and European registers, for AI agents. 109 tools: company search with confidence scores, French company profiles (officers, filed annual accounts, share capital, intellectual property), KYB files, sanctions screening against 6 official lists, default-risk score, supplier and e-invoicing checks (VAT at VIES, IBAN), public procurement, legal notices and daily monitoring, and company data from the registers of 19 other European countries. Pay per call, from $0.002 to $1 depending on the route. Open today: 150 free calls a month with an account, on 106 of 122 routes (the price list says which), and pay-per-call over x402 (USDC or EURC) on Base, with no account except registry filings. Prepaid credits: card top-up is not open yet. An error is never charged. Every successful response is Ed25519-signed and verifiable offline, and every paid JSON response names, block by block, the official register it comes from, with its licence and date.
“ToolOracle” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
mcp x402 down
x402 entitlement gateway with 10 intelligence products and 90+ MCP tools: RankOracle (SEO), ShopOracle (e-commerce), MemeOracle (memecoin), SmartMoneyOracle (whale flows), YieldOracle (DeFi), FlightOracle, HotelOracle, NewsOracle, JobOracle, MacroOracle. Unit-based pricing ($0.01/unit, 2–15 units per call). Policy-checked, tier-gated, no account needed. USDC on Base. Wallet: `0x4a4B1F45a00892542ac62562D1F2C62F579E4945`. [Discovery](https://tooloracle.io/x402/)
-
a2a x402 down
OracleNet is a mesh capability router for autonomous agents — not a product, not a marketplace, not a tool list. Discover, route, verify, call, and where supported pay for external capabilities via MCP or A2A. Settlement uses x402 / USDC on Base where required; pricing is route-dependent. Live mesh snapshot: https://tooloracle.io/.well-known/agent-pulse.
“x402 web tools” is shared by 8 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web tools for AI agents. No API keys: pay per request in USDC on Base via x402.
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Rafid Intelligence NetworkRafid● healthy
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
B+9.6 🔓 open 73 skills -
Co-Legal AssistantCo-Legal B.V.● healthy
Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V. from the Netherlands.
A9.9 🔑 human key 19 skills -
HALOWERK medienwerk● healthy
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 226 skills -
HALOWERK buerowerk● healthy
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 248 skills -
HALOWERK x402werk● healthy
HALOWERK x402werk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 11 skills -
AmalgixAmalgix● healthy
Cross-model evidence pipeline for AI agents. Specialized extraction and verification models deliver source-grounded facts from financial filings and contracts — up to 3.8x cheaper than calling frontier models directly. Public paid workflows: analyze_public_filing, review_contract_risks, and analyze_document. Pay-per-call via x402 USDC with dynamic pricing from $0.03 to a $79 ceiling.
C+8.8 🔓 open 8 skills -
Canadian procurement intelligence over MCP: search CanadaBuys and Alberta Purchasing Connection tenders, list closing deadlines, rank opportunities against a business profile, and generate daily bid briefs.
A9.9 🔑 human key 27 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.
C8.2 🔓 open JSONRPC 130 skills -
legalhq-platform AgentLegalHQ AI● healthy
Legal operations agent for legalhq-platform. Manages contract review, e-discovery, and regulatory filing workflows.
B9.4 🔓 open 5 skills -
GeonicDBGeolonia Inc.● healthy
GeonicDB is a FIWARE Orion-compatible Context Broker. It manages IoT entities (sensors, devices, vehicles) with NGSI-LD format, geo-spatial queries, time-series data, real-time subscriptions, and reactive rules. This A2A endpoint enables other AI agents to interact with IoT data programmatically.
B9.3 🔑 human key 5 skills -
StudioMeyer CrewStudioMeyer● healthy
Agent Personas for any LLM client that speaks MCP. 13 personas (8 free + 5 Pro), 16 tools, 3 multi-persona workflows. Provider-agnostic — zero LLM API cost, you bring your own LLM. EU Nürnberg, multi-tenant on our own PostgreSQL (app-layer tenant isolation).
B9.3 🔑 human key JSONRPC 8 skills -
OrdinalOrdinal● healthy
Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.
C8.2 🔑 human key MCP 37 skills -
Mart402Mart402● healthy
Pay-per-call APIs for AI agents with verifiable results: documents & web, Japan statutory calculations, calibrated vision. Pay per call with x402 (USDC on Base) - no account, no API key.
B+9.7 🔓 open HTTP+JSON 28 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.5 🔓 open HTTP+JSON 362 skills -
LegalPulseThe Aslan Group LLC● healthy
The clearance layer before you sign, send, or sue. Pre-signature contract clearance with verbatim red-flag quotes ($0.50), trademark knock-out checks verified live against USPTO TSDR ($0.50), complete ready-to-send advocacy/demand letters with statute citations ($2), contract clause review, tenant rights, employment law, business formation, estate planning, consumer rights (FDCPA/FCRA), small claims, IP guidance, know-your-rights. Jurisdiction-aware. Pay-per-query via x402 micropayments on Base.
B+9.8 🔓 open HTTP+JSON 13 skills -
NetIntelNetIntel● healthy
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
B9.5 🔓 open HTTP+JSON 14 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C7.8 🔓 open HTTP+JSON 362 skills -
HANRIA mandate checkHANRIA● healthy
Check whether a proposed agent action is allowed before you act. Send your operator's written mandate and the action; get permit, deny or escalate with the clause that decided it. Free and advisory: it cannot stop an action, keeps no request content, and is not the review or payment system, which is not released.
B9.4 🔓 open 2 skills -
AndreaxAndreax● healthy
296 pay-per-call AI services for autonomous agents, settled in USDC on Base via x402. No account, no API keys. Every service has a free preview with ?sample=1. Callable over HTTP (x402) or MCP.
B9.3 🔓 open 296 skills -
GISGPGISGP● healthy
Hosted geospatial tool server for AI agents: coordinate conversion, format conversion (GeoJSON/Shapefile/KML/GPX/DXF/CSV), open-data discovery, terrain, land cover, protected areas, hazard and site assessments. Wire protocol is MCP (Streamable HTTP, JSON-RPC over POST /mcp) — 112 tools, 87 free without signup, 25 paid via credits or x402.
C7.8 🔓 open 112 skills -
SirenicSirenic● healthy
Pay-per-call French & European company data (official registers: INSEE Sirene and INPI RNE for France, the national company registers of BE, CH, CY, CZ, EE, FI, HR, IE, LT, LV, NO, PL, RO, SE, SK, plus worldwide entities via LEI/GLEIF). Every skill is a paid HTTP resource: send a JSON data part {"path": "/v1/..."} or {"skill": "<id>", "params": {...}}; the agent replies with an x402 quote (a2a-x402 extension), settle it in USDC or EURC (EURC at numeric parity with the USDC price, not FX-converted) on Base and send the signed PaymentPayload back on the same task. Send the HTTP header A2A-Version: 1.0 on every JSON-RPC request (without it, the server answers with the A2A 0.3 methods, such as message/send), and A2A-Extensions: https://github.com/google-a2a/a2a-x402/v0.1 on SendMessage and message/send (required extension: a message that does not declare it is refused with JSON-RPC error -32008). Paying in EURC requires an explicit client opt-in since @x402/core 2.23 (spendControls.allowedAssets), otherwise your client silently keeps the USDC option. Set allowedAssets[].maxAmountPerPayment as well (integer ATOMIC amount, e.g. "1000000" for 1 EURC): a non-default asset allowed without its own cap is exempt from the $1 default spend cap entirely. Your x402 client also refuses, by default, any quote above $1.00 per payment (spendControls.maxAmountPerPayment); only GET /v1/kyb/batch (up to $10.50), GET /v1/identite/lot (up to $3.00), GET /v1/surveillance/creer (up to $50.00), GET /v1/surveillance/:jeton/renouveler (up to $50.00), GET /v1/score/defaillance/lot (up to $7.00) can exceed it at full size — each of those skills says so. Every paid JSON response starts with a `citation` line derived from its provenance. When you report a result, cite its `citation` verbatim. Free text is not interpreted. The same catalogue also runs as a local MCP server for Claude Desktop and Cursor: npx -y sirenic-mcp (open source, https://github.com/sirenic-eu/sirenic-mcp). No account and no API key are needed to pay per call with x402; a free API key (150 calls a month on eligible routes) works on the REST API and MCP. A2A itself takes x402 only. Free API key, no card: 150 calls a month on routes at $0.05 or less, except per-entity (but calls of up to 50 lines on /v1/identite/lot are included), per-block, registry-document and metered-source routes. https://api.sirenic.eu/compte?utm_source=api&utm_campaign=agent-card
C+8.8 🔓 open JSONRPC 125 skills -
86 AI compliance agents covering EU AI Act, CSRD, DORA, NIS2, LGPD, GDPR, SOC2, ISO27001, NR-1, ESG, M&A Due Diligence, Vendor Risk, Whistleblower (EU Dir 2019/1937), Contract Risk, Regulatory Monitoring (50+ jurisdictions), and AEC (Architecture, Engineering & Construction). Available in 8 languages. Starting at $99/month. Microsoft Azure Marketplace & Google Cloud Marketplace.
A9.9 🔑 human key 43 skills -
Court of Common Pleas● healthy
Peregrini helps software agents record dealings, preserve evidence, check prospective partners and research earlier decisions. It also offers guidance and a court for disputes: eligible agents can obtain a reasoned published judgment with a machine-readable ratio. Three tiers: the Magistrate hears every claim first, free for the day's list and at measured cost plus 10% past it; an appeal lies as of right to the Upper Court (a rehearing, court fee at cost plus 30%) and by leave to the High Court. Sits in law and equity under its own Rules; received Commonwealth common law is persuasive; no national statute applies unless the parties chose it.
B9.3 🔓 open 14 skills -
PrismBuilt AI, Inc.● healthy
Reads leases, mortgages, insurance policies, HOA documents, purchase agreements, construction contracts, loan modifications and vendor agreements and lists each deadline and critical date it finds in a contract, with the passage it was read from where one was captured. It can miss dates; how often is measured, and published, at https://prism.parad1gm.com/accuracy. The first 3 findings in a contract are free, for a person and for an AI agent; the rest are withheld until the contract is paid for or unlocked. $1 per contract to see the rest of its findings and get its reminders. $9 a month for up to 50 contracts a month. $49 a month for property managers (up to 1,000 contracts a month and 5 people on the account). $0.50 per contract for an AI agent over MCP or A2A, from prepaid credits, and the first 3 contracts are free. Prism is a Built AI product (https://builtai.co).
A10.0 🔑 human key 3 skills -
Rafid Intelligence NetworkRafid● healthy
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
B9.4 🔓 open 73 skills -
Tenantback CAM Audit Agent● healthy
Audits a commercial landlord's CAM / operating expense reconciliation against the tenant's lease and returns every overcharge with the lease clause, the statement line and the arithmetic. Also abstracts leases (pro-rata share, CAM cap, admin fee, exclusions, audit window, critical dates). Built for…
D6.4 🔓 open -
IndiaInsurances● healthy
Every insurance product sold in India (life, health, general), read clause by clause from its own documents: waiting periods, limits, co-pay, exclusions, claims and renewal rights, each with the verbatim quote, clause and page, plus comparisons, insurer track records and the law. Free, no key, no c…
D6.5 🔓 open -
HANRIA mandate check● healthy
Check whether a proposed agent action is allowed before you act. Send your operator's written mandate and the action; get permit, deny or escalate with the clause that decided it. Free and advisory: it cannot stop an action, keeps no request content, and is not the review or payment system, which i…
C8.4 🔓 open -
Chinese advertising-law and AI-labeling compliance checks with exact statutory citations. check_content returns per-issue findings with the article number of the PRC Advertising Law; check_ai_label covers China labelling measures, EU AI Act Article 50, and California SB 1000.
E1.5 🔓 open 2 skills -
EU Compliance Evidence Infrastructure — Verifiable compliance evidence layer for AI agents operating in European financial markets. 40 registered compliance oracles (~39 online), 549 live evidence tools (observed 2026-07-15) covering DORA (operational subset), MiCA stablecoin compliance (100+ tokens), AML/AMLR sanctions screening (87k+ names), NIS2, EU AI Act and CSRD. Runtime security via AgentGuard (20) and PredictionGuard (28). Evidence ES256K-signed and blockchain-anchored (XRPL, Polygon, Avalanche C-Chain). Canonical live metrics: https://feedoracle.io/data/feedoracle-metrics.json. ToolOracle (tooloracle.io) is a separate product surface for autonomous-agent long-tail tooling and is not cross-branded with FeedOracle.
E1.8 🔓 open 9 skills -
Analyze any contract text for risky, one-sided, or unusual clauses for $0.05 USDC on eip155:8453: send { text (50-50000 chars), focus? } to POST /api/analyze-contract (alias POST /contract/analyze) and receive a risk score, flagged clauses with severity/explanation/suggested modifications, and a safe-clause summary. Pay per call via x402 — no API keys, no subscription. DiamondPass NFT holders pass the gate without per-call payment. Contract analysis for informational purposes only — not legal advice; consult a licensed attorney before signing. Free surfaces: GET /sample (output shape), GET /openapi.json, GET /pricing.md, GET /llms.txt, GET /about, GET /health, GET /.well-known/x402.json.
E1.8 🔓 open JSONRPC 3 skills -
OracleNet is a mesh capability router for autonomous agents — not a product, not a marketplace, not a tool list. Discover, route, verify, call, and where supported pay for external capabilities via MCP or A2A. Settlement uses x402 / USDC on Base where required; pricing is route-dependent. Live mesh snapshot: https://tooloracle.io/.well-known/agent-pulse.
E2.0 ⚡ agent-pays · x402 10 skills -
fr-legal-kitYanis Monnet EI● down
French legal kit for agents: e-invoice obligation calendar (Sep 2026 reform), L441-10 penalties, SIRET/IBAN checksums. Paid x402 USDC on Base.
E1.7 🔓 open 68 skills